EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'DatabaseConnections_GetConnections',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DatabaseConnections_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets database connections, optionally filtered by application and environment.'
GO


IF OBJECT_ID('[DatabaseConnections_GetConnections]') IS NOT NULL DROP PROCEDURE [DatabaseConnections_GetConnections]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DatabaseConnections_GetConnections]
(
	@Application_Id INT = NULL,
	@Environment_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DatabaseConnections_Extended]
	 WHERE (@Application_Id IS NULL OR ([Application_Id] = @Application_Id))
	   AND (@Environment_Id IS NULL OR ([Environment_Id] = @Environment_Id))

END
GO

GRANT EXECUTE ON [DatabaseConnections_GetConnections] TO [BuildMasterUser_Role]