EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetManualActionsInProgress',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ManualActionsInProgress_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns manual actions which are currently in progress.'
GO


IF OBJECT_ID('[Executions_GetManualActionsInProgress]') IS NOT NULL DROP PROCEDURE [Executions_GetManualActionsInProgress]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetManualActionsInProgress]
(
	@Application_Id INT = NULL,
	@AssignedTo_Principal_Name VARCHAR(255) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [ManualActionsInProgress_Extended]
	 WHERE (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
	   AND (@AssignedTo_Principal_Name IS NULL OR [AssignedTo_Principal_Name] = @AssignedTo_Principal_Name)
	   AND [ActionComplete_Indicator] = 'N'
	
END
GO

GRANT EXECUTE ON [Executions_GetManualActionsInProgress] TO [BuildMasterUser_Role]
