EXEC [__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Issues_CloseIssue',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Closes a BuildMaster issue.'
GO

IF OBJECT_ID('[Issues_CloseIssue]') IS NOT NULL DROP PROCEDURE [Issues_CloseIssue]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Issues_CloseIssue]
(
	@Application_Id INT,
	@Issue_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Issues]
	   SET [Closed_Indicator] = 'Y',
	       [ClosedOn_Date] = GETUTCDATE()
	 WHERE [Application_Id] = @Application_Id
	   AND [Issue_Id] = @Issue_Id
       AND [IssueTracker_IssueId_Text] IS NULL

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Issues_CloseIssue] TO [BuildMasterUser_Role]
