EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_ValidateLogin',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Validated_Indicator',
    /* Description_Text        */ 'Validates the password of a specified user'
GO

IF OBJECT_ID('Users_ValidateLogin') IS NOT NULL DROP PROCEDURE Users_ValidateLogin
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE Users_ValidateLogin
(
	@User_Name USERNAME,
	@Password_Text VARCHAR(20),
	@Validated_Indicator YNINDICATOR = NULL OUT
) AS BEGIN

	SET NOCOUNT ON

	/* Set defaults */
	SET @Validated_Indicator = 'N'

	IF EXISTS(SELECT * FROM [Users]
	           WHERE [User_Name] = @User_Name
	             AND HASHBYTES('SHA1', [Salt_Bytes] + CAST(@Password_Text AS VARBINARY)) = [Password_Bytes])
		SET @Validated_Indicator = 'Y'


END
GO

GRANT EXECUTE ON Users_ValidateLogin TO BuildMasterUser_Role