EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetDeploymentVariables',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DeploymentVariables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the variables prompted for a stage deployment.'
GO

IF OBJECT_ID('[Variables_GetDeploymentVariables]') IS NOT NULL DROP PROCEDURE [Variables_GetDeploymentVariables]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetDeploymentVariables]
(
    @Execution_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [DeploymentVariables] V
	  LEFT JOIN [PipelineStageTargetExecutions]	PSTE
		ON PSTE.[Execution_Id] = @Execution_Id
     WHERE V.[Execution_Id] = @Execution_Id 
	    OR V.[Execution_Id] = PSTE.[PipelineStageDeploymentExecution_Id]

END
GO

GRANT EXECUTE ON [Variables_GetDeploymentVariables] TO [BuildMasterUser_Role]